<?php
  // Perform Auth with DSM
  require('lib/auth_dsm.php');

  $tokenString = "";
  if($_GET["SynoToken"] != null)
    $tokenString = "?SynoToken=" . $_GET["SynoToken"];
?>

<!DOCTYPE html>
<html lang="en">
  <head>    
    <style>@import "assets/edrive.css";</style>
    <title>ElephantDrive Synology DSM App</title>    
  </head>
  <body>

    <div class="syno-apps-config-form-top">
      <div class="syno-apps-config-form-app-logo"></div>         
    </div>

    <hr />
    
    <div id="signupScreen" class="syno-apps-config-form-middle">        
        
        <div id="signupAlert" class="syno-apps-config-form-message syno-apps-config-form-message-error hide">
          Wrong username/password
        </div>
        
        <form id="signupForm" class="form-horizontal syno-apps-config-form-left">

            <div class="syno-apps-config-form-field">
              <label class="syno-apps-config-form-field-label" for="inputEmail">Email</label>              
              <input type="text" id="inputEmail" placeholder="Email">             
            </div>

            <div class="syno-apps-config-form-field">
              <label class="syno-apps-config-form-field-label" for="inputPassword">Password</label>              
              <input type="password" id="inputPassword" placeholder="Password">             
            </div>

            <div class="syno-apps-config-form-field">
                <button id="signupBtn" type="submit" class="syno-apps-config-form-button" style="width: 110px">Signup</button>             
            </div>
          
        </form>

        <div class="syno-apps-config-form-right">          
          <div>            
            <div class="syno-apps-config-form-link-info">
              <b>You are signing up for a FREE 50 GB ElephantDrive account!</b>
            </div>
          </div>

          <div>
            <a href="http://www.elephantdrive.com/m/ct.aspx?ici=1134" target="_blank">Learn more about ElephantDrive</a>
          </div>          
        </div>

    </div>
    

    <div id="loadingScreen" class="hide" style="text-align:center; margin: 60px 0 60px 0">      
        <h4>
          Creating new account & linking it with Synology DSM <span style="padding-left: 3px; padding-right: 3px;"></span> ...
          <br />
          <div style="margin-top:6px"> <img src="assets/ajax-loader.gif"> </div>
        </h4>
    </div>

    <hr />

   
    <script src="lib/jquery.min.js"></script>
    <script src="lib/signup.js"></script>
    <script>
      var tokenString = '<?php echo $tokenString ?>';
    </script>
    
  </body>
</html>
