$(function() {

	$.ajaxSetup({ cache: false });
		
	$('#loginBtn').click(function(e) {
		e.preventDefault();

		$('#loginScreen').hide();
		$('#loginAlert').hide();
		$('#loadingScreen').show();		

		var ajaxURL = 'https://vault.elephantdrive.com/partners/vaultservices/login.aspx';
		var ajaxParams = '?email=' + $('#inputEmail').val() + '&p=' + $('#inputPassword').val();
				
		$.get(ajaxURL + ajaxParams, function(response) {
			if (response) {

				if(response.success == 'true')
				{
					//Write to Client Config File
					$.get('lib/write_config.php' + ajaxParams, function (response) {
						if(response) {
							var responseArr = response.split(',');
							if (responseArr[0] == "true" && responseArr[1] == "true")
							{
								//Show logged in screen
								$('#loadingScreen').hide();	
								$('#username').text( $('#inputEmail').val() );
								$('#statusScreen').show();
								$('#statusAlert').show();								
							} else {								
								$('#loadingScreen').hide();	
								$('#loginScreen').show();
								$('#loginAlert').text('Login successful but system is unable to start application. Please try again.');
								$('#loginAlert').show();
							}
						}

					});
				} else {
					//Show notification: Username/password is wrong
					$('#loadingScreen').hide();	
					$('#loginScreen').show();
					$('#loginAlert').show();
				}
			}
		}, 'jsonp')
		.fail(function( jqxhr, textStatus, error ) {
			
			var err = textStatus + ', ' + error;			

		});
	});	


	$('#logoutBtn').click(function(e) {
		e.preventDefault();

		$.get('lib/logout.php', function (response) {
			if(response == 'true') {
				$('#inputEmail').val('');
				$('#inputPassword').val('');

				$('#statusScreen').hide();
				$('#loginScreen').show();
				$('#signupLink').show();
			}
		});
	});

	$('#manageBackups').click(function(e) {		
		if(uname == '' && $('#inputEmail').val() != "") {
			uname = $('#inputEmail').val();
		}		

		window.open("https://vault.elephantdrive.com/web_access/start.aspx?uname=" + uname + "&dname=" + dname, "_blank");
	});

});