writeToConfig = function (user, pwd) {
	var ajaxParams = '?email=' + user + '&p=' + pwd;

	//Write to Client Config File
	$.get('lib/write_config.php' + ajaxParams, function (response) {
		if(response) {
			var responseArr = response.split(',');
			if (responseArr[0] == "true" && responseArr[1] == "true")
			{
				window.location = '/elephantdrive' + tokenString;
			} else {
				$('#loadingScreen').hide();	
				$('#signupScreen').show();							
				
				if(response.message)
					$('#signupAlert').text("There was an error linking ElephantDrive with new account");

				$('#signupAlert').show();
			}
		}

	});
};

showError = function (errorTxt) {
	$('#signupAlert').text(errorTxt);
	$('#signupAlert').show();
};

$(function() {	

	$.ajaxSetup({ cache: false });
		
	$('#signupBtn').click(function(e) {
		e.preventDefault();

		$('#signupScreen').hide();			
		$('#loadingScreen').show();	

		//Checks for password length
		var pswdInput = $('#inputPassword').val();
		if(pswdInput != null && pswdInput != "")
		{
			if(pswdInput.length < 5 || pswdInput.length > 50)
			{
				showError('Password should be 6 or more charaters long');
				return;
			}
		} else {
			showError('Password should be 6 or more charaters long');
			return;
		}


		$.get('lib/encrypt.php?p=' + $('#inputPassword').val(), function (responseEncPwd) {
			if(responseEncPwd) {	
				var ajaxURL = 'https://vault.elephantdrive.com/partners/vaultservices/genacct.aspx';				
				var ajaxParams = '?a=reg&u=' + $('#inputEmail').val() + '&t=' + responseEncPwd + '&c=1126&format=json';
						
				$.get(ajaxURL + ajaxParams, function(response) {
					if (response) {	
						if(response.success == 'true')
						{
							//Signup Success
							writeToConfig($('#inputEmail').val(), $('#inputPassword').val());								

						} else if(response.success == 'false') {
							//Signup FAIL
							$('#loadingScreen').hide();	
							$('#signupScreen').show();							
							
							if(response.message)
								$('#signupAlert').text(response.message);

							$('#signupAlert').show();
						}
					}
				}, 'jsonp')
				.fail(function( jqxhr, textStatus, error ) {
			
					var err = textStatus + ', ' + error;

				});
			}
		});
		
	}); //signupBtn.click

});