<?php
  $tokenString = "";
  if($_GET["SynoToken"] != null)
    $tokenString = "?SynoToken=" . $_GET["SynoToken"];
?>

<!DOCTYPE html>
<html lang="en">
  <head>  	
  	<style>@import "assets/edrive.css";</style>
    <title>ElephantDrive Synology DSM App</title>    
  </head>
  <body>

  	<div class="syno-apps-config-form-top">
      <div class="syno-apps-config-form-app-logo"></div>
      <div class="syno-apps-config-form-app-version"><?php echo !empty($ED_version) ? $ED_version : '&nbsp;'; ?></div>
  	</div>

    <hr />
    
  	<div id="loginScreen" class="syno-apps-config-form-middle hide">        
        
        <div id="loginAlert" class="syno-apps-config-form-message syno-apps-config-form-message-error hide">
          Wrong username/password
        </div>
        
        <form id="loginForm" class="form-horizontal syno-apps-config-form-left">

            <div class="syno-apps-config-form-field">
      				<label class="syno-apps-config-form-field-label" for="inputEmail">Email</label>      				
    				  <input type="text" id="inputEmail" placeholder="Email">      				
      			</div>

      			<div class="syno-apps-config-form-field">
      				<label class="syno-apps-config-form-field-label" for="inputPassword">Password</label>      				
      				<input type="password" id="inputPassword" placeholder="Password">      				
      			</div>

      			<div class="syno-apps-config-form-field">
      					<button id="loginBtn" type="submit" class="syno-apps-config-form-button" style="width: 110px">Login</button>      				
      			</div>
          
		    </form>

        <div class="syno-apps-config-form-right">          
          <div>
            <a href="signup.php<?php echo $tokenString ?>"><b>Sign Up</b></a>
            <div class="syno-apps-config-form-link-info">Create a FREE ElephantDrive account if you don't have one.</div>
          </div>

          <div>
            <a href="http://www.elephantdrive.com/m/ct.aspx?ici=1134" target="_blank">Learn more about ElephantDrive</a>
          </div>
        </div>

    </div>
    

    <div id="loadingScreen" class="hide" style="text-align:center; margin: 60px 0 60px 0">      
        <h4>
          Logging in <span style="padding-left: 3px; padding-right: 3px;"></span> ...
          <br />
          <div style="margin-top:6px"> <img src="assets/ajax-loader.gif"> </div>
        </h4>
    </div>

    
    <div id="statusScreen" class="syno-apps-config-form-middle hide" style="text-align: center">
      
      <div class=row>
        <div id="statusAlert" class="syno-apps-config-form-message hide">
          Successfully linked your ElephantDrive account with Synology DSM!
        </div>
      </div>

      <div class="row">
        <h4>Logged in as <span class="syno-apps-config-form-auth-id" id="username"><?php echo $configUsername ?></span> (<a id="logoutBtn" style="text-decoration: underline" href="#">Log Out</a>) </h4>
        <br/>
        <button id="manageBackups" class="syno-apps-config-form-button" style="width: 220px">Manage Cloud Backup &raquo; </button>
      </div>

      <div class="row">     
        <br/><br/><br/>
        <a style="text-decoration: underline" target="_blank" href="http://www.elephantdrive.com"><b>Learn more about ElephantDrive</b></a>     
      </div>  

    </div>

    <hr />

    <script src="lib/jquery.min.js"></script>
    <script src="lib/edrive.js"></script>
    <script>
      var uname = '<?php if($configUsername != "") echo $configUsername ?>';
      var dname = '<?php if($deviceName != "") echo $deviceName ?>';

      $(function() {
          var isLoggedIn = <?php if($configUsername != "") echo "true"; else echo "false"; ?>;
          if(isLoggedIn) {
            $('#loginScreen').hide();
            $('#statusScreen').show();
            $('#signupLink').hide();
          } else {
            $('#statusScreen').hide();
            $('#loginScreen').show();            
          }
      });
    </script>
  </body>
</html>
